Field (Xerces2 Implementation)
Date: 2018-10-17

org.apache.xerces.impl.xs.identity

## Class Field

- java.lang.Object
- - org.apache.xerces.impl.xs.identity.Field

-     public class Field
      extends java.lang.Object

  Schema identity constraint field.
  Version:
    $Id: Field.java 572110 2007-09-02 19:04:44Z mrglavas $
  Author:
    Andy Clark, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `Field.Matcher` Field matcher.
    `static class` | `Field.XPath` Field XPath.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IdentityConstraint` | `fIdentityConstraint` Identity constraint.
    `protected Field.XPath` | `fXPath` Field XPath.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Field(Field.XPath xpath, IdentityConstraint identityConstraint)` Constructs a field.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XPathMatcher` | `createMatcher(ValueStore store)` Creates a field matcher.
    `IdentityConstraint` | `getIdentityConstraint()` Returns the identity constraint.
    `XPath` | `getXPath()` Returns the field XPath.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fXPath

          protected final Field.XPath fXPath

      Field XPath.

    - #### fIdentityConstraint

          protected final IdentityConstraint fIdentityConstraint

      Identity constraint.

  - ### Constructor Detail

    - #### Field

          public Field(Field.XPath xpath,
                       IdentityConstraint identityConstraint)

      Constructs a field.

  - ### Method Detail

    - #### getXPath

          public XPath getXPath()

      Returns the field XPath.

    - #### getIdentityConstraint

          public IdentityConstraint getIdentityConstraint()

      Returns the identity constraint.

    - #### createMatcher

          public XPathMatcher createMatcher(ValueStore store)

      Creates a field matcher.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.